CGAL 6.2 - 2D and 3D Linear Geometry Kernel: CGAL::compare_x() (2D/3D Linear Kernel)

CGAL 6.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
Functions
CGAL::compare_x() (2D/3D Linear Kernel)
Reference Manual » Global Kernel Functions » CGAL::compare_x()

##

## Functions
template<typename Kernel >
Comparison_result | CGAL::compare_x (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q)
| compares the \( x\)-coordinates of `p` and `q`.
template<typename Kernel >
Comparison_result | CGAL::compare_x (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q)
| compares the \( x\)-coordinates of `p` and `q`.
template<typename Kernel >
Comparison_result | CGAL::compare_x (const CGAL::Point_2< Kernel > &p, const CGAL::Line_2< Kernel > &l1, const CGAL::Line_2< Kernel > &l2)
| compares the \( x\)-coordinates of `p` and the intersection of lines `l1` and `l2`.
template<typename Kernel >
Comparison_result | CGAL::compare_x (const CGAL::Line_2< Kernel > &l, const CGAL::Line_2< Kernel > &h1, const CGAL::Line_2< Kernel > &h2)
| compares the \( x\)-coordinates of the intersection of line `l` with line `h1` and with line `h2`.
template<typename Kernel >
Comparison_result | CGAL::compare_x (const CGAL::Line_2< Kernel > &l1, const CGAL::Line_2< Kernel > &l2, const CGAL::Line_2< Kernel > &h1, const CGAL::Line_2< Kernel > &h2)
| compares the \( x\)-coordinates of the intersection of lines `l1` and `l2` and the intersection of lines `h1` and `h2`.

## Function Documentation

## ◆ compare_x() [1/3]

template<typename Kernel >

Comparison_result CGAL::compare_x | ( | const CGAL::Line_2< Kernel > & | l,
|  | const CGAL::Line_2< Kernel > & | h1,
|  | const CGAL::Line_2< Kernel > & | h2
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compares the \( x\)-coordinates of the intersection of line `l` with line `h1` and with line `h2`.

See Figure figcompare_x (b).

## ◆ compare_x() [2/3]

template<typename Kernel >

Comparison_result CGAL::compare_x | ( | const CGAL::Line_2< Kernel > & | l1,
|  | const CGAL::Line_2< Kernel > & | l2,
|  | const CGAL::Line_2< Kernel > & | h1,
|  | const CGAL::Line_2< Kernel > & | h2
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compares the \( x\)-coordinates of the intersection of lines `l1` and `l2` and the intersection of lines `h1` and `h2`.

See Figure figcompare_x (c).

## ◆ compare_x() [3/3]

template<typename Kernel >

Comparison_result CGAL::compare_x | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Line_2< Kernel > & | l1,
|  | const CGAL::Line_2< Kernel > & | l2
| ) |  |

`#include <CGAL/Kernel/global_functions.h>`

compares the \( x\)-coordinates of `p` and the intersection of lines `l1` and `l2`.

See Figure figcompare_x (a).